{ config, ... }:

{
  age.secrets.thewordnerd_peertube = {
    file = ../../../secrets/thewordnerd_peertube.age;
    owner = config.services.peertube.user;
  };
  services = {
    peertube = {
      enable = true;
      localDomain = "peertube.thewordnerd.info";
      listenWeb = 443;
      redis.createLocally = true;
      database.createLocally = true;
      secrets.secretsFile = config.age.secrets.thewordnerd_peertube.path;
    };
    caddy.virtualHosts."peertube.thewordnerd.info".extraConfig = ''
      reverse_proxy http://localhost:9000
    '';
  };
}
